Bug 1248157 - Requires: dconf
Requires: dconf
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: netatalk (Show other bugs)
24
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-29 14:13 EDT by HAT
Modified: 2017-08-08 08:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:03:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description HAT 2015-07-29 14:13:57 EDT
Description of problem:
dconf package is necessary for Spotlight feature.
"Requires: dconf" have to be added to netatalk.spec.

Version-Release number of selected component (if applicable):
netatalk-3.1.7-1.fc24.src.rpm

How reproducible:
remove dconf package.

Steps to Reproduce:
1.
disable SELinux

2.
Edit /etc/netatalk/afp.conf

[Global]
spotlight = yes
dbus daemon = /usr/bin/dbus-daemon
[Test Volume]
path = /export/test1

3.
# yum remove dconf
# systemctl start netatalk
# systemctl status netatalk
...
Jul 30 02:27:54 prawhide.local org.freedesktop.Tracker1.Miner.Files[1075]: (tracker-miner-fs:1103): Tracker-WARNING **: Unable to get XDG user directory path for special directory &DOWNLOAD. Ignoring this location.
Jul 30 02:27:54 prawhide.local org.freedesktop.Tracker1.Miner.Files[1075]: (tracker-miner-fs:1103): Tracker-WARNING **: Unable to get XDG user directory path for special directory &MUSIC. Ignoring this location.
Jul 30 02:27:54 prawhide.local org.freedesktop.Tracker1.Miner.Files[1075]: (tracker-miner-fs:1103): Tracker-WARNING **: Unable to get XDG user directory path for special directory &PICTURES. Ignoring this location.
Jul 30 02:27:54 prawhide.local org.freedesktop.Tracker1.Miner.Files[1075]: (tracker-miner-fs:1103): Tracker-WARNING **: Unable to get XDG user directory path for special directory &VIDEOS. Ignoring this location.
Jul 30 02:27:54 prawhide.local org.freedesktop.Tracker1.Miner.Files[1075]: (tracker-miner-fs:1103): Tracker-WARNING **: Unable to get XDG user directory path for special directory &DOCUMENTS. Ignoring this location.
Jul 30 02:27:54 prawhide.local org.freedesktop.Tracker1.Miner.Files[1075]: (tracker-miner-fs:1103): Tracker-WARNING **: Unable to get XDG user directory path for special directory &DOWNLOAD. Ignoring this location.
Jul 30 02:27:54 prawhide.local org.freedesktop.Tracker1.Miner.Files[1075]: (tracker-miner-fs:1103): Tracker-WARNING **: Unable to get XDG user directory path for special directory &MUSIC. Ignoring this location.
Jul 30 02:27:54 prawhide.local org.freedesktop.Tracker1.Miner.Files[1075]: (tracker-miner-fs:1103): Tracker-WARNING **: Unable to get XDG user directory path for special directory &PICTURES. Ignoring this location.
Jul 30 02:27:54 prawhide.local org.freedesktop.Tracker1.Miner.Files[1075]: (tracker-miner-fs:1103): Tracker-WARNING **: Unable to get XDG user directory path for special directory &VIDEOS. Ignoring this location.
Jul 30 02:27:54 prawhide.local org.freedesktop.Tracker1.Miner.Extract[1075]: GLib-GIO-Message: Using the 'memory' GSettings backend.  Your settings will not be saved or shared with other applications.

4.
# yum install dconf
# systemctl start netatalk
# systemctl status netatalk

There is no warnning message.

Actual results:
Spotlight feature is imperfect if dconf is not installed.

Expected results:
dconf package is installed automatically when "yum install netatalk".
Comment 1 HAT 2015-08-04 10:40:43 EDT
I made netatalk-3.1.7-1.1.fc24.src.rpm that correct this problem..
This srpm is based on netatalk-3.1.7-1.fc24.src.rpm.
http://netatalk.sourceforge.net/wiki/index.php/Netatalk_3.1.7_SRPM_for_Fedora_and_CentOS
Comment 2 Jan Kurik 2016-02-24 10:36:02 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Fedora Admin XMLRPC Client 2016-02-26 12:53:38 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2017-07-25 15:03:39 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2017-08-08 08:03:32 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.